Kitsu Node.js
![](https://img.shields.io/npm/v/kitsu-node-js.svg)
![](https://img.shields.io/github/license/RT1O/kitsu-node-js.svg)
=========

A simple node.js wrapper for [Kitsu](https://www.kitsu.io).

## Installation

    npm install kitsu-node-js --save

## Testing

    npm test

## Usage

```javascript
const KitsuAPI = require('kitsu-node-js');
const kitsu = new KitsuAPI(debug = false);

// When searching by id, no filter is required.
kitsu.getManga(1)
    .then(manga => {
        console.log(manga.attributes);
    }, err => {
        console.log(err);
    });

// Text filter, is default.
kitsu.getAnime("Mob Psycho 100", filter = "text")
    .then(anime => {
        anime.forEach(anime => {
            console.log(anime.attributes);
        });
    }, err => {
        console.log(err);
    });
```

## Release History

v1.0.1 (11/01/2019)

* Added the ability to get manga, the same way as anime.

* When using `kitsu.getAnime(identifier)`, you can 
now specify a filter.

v1.0.0 (10/01/2019)

* Initial Release
