const expect = require('chai').expect,
    KitsuAPI = require('../src/main.js'),
    kitsu = new KitsuAPI();

describe('kitsu.getAnime()', () => {
    it("Gets 'Cowboy Bebop' anime from kitsu.", (done) => {
        kitsu.getAnime(1)
            .then(anime => {
                expect(anime.attributes.canonicalTitle).equal("Cowboy Bebop");
            }).then(done, done);
    });
    it("Gets 'Boku no Hero Academia' anime from kitsu.", (done) => {
        kitsu.getAnime("Boku no Hero Academia")
            .then(anime => {
                expect(anime[0].attributes.canonicalTitle).equal("Boku no Hero Academia");
            }).then(done, done);
    });
    it("Gets 'One Piece' anime from kitsu, using it's slug.", (done) => {
        kitsu.getAnime("one-piece", filter = "slug")
            .then(anime => {
                expect(anime[0].attributes.canonicalTitle).equal("One Piece");
            }).then(done, done);
    });
    it("Gets first 'horror' genre anime from kitsu.", (done) => {
        kitsu.getAnime("horror", filter = "genres")
            .then(anime => {
                expect(anime[0].attributes.canonicalTitle).equal("Shukuren - Gin no Mori no On");
            }).then(done, done);
    });
});

describe('kitsu.getManga()', () => {
    it("Gets 'Guardian Dog' manga from kitsu.", (done) => {
        kitsu.getManga(1)
            .then(manga => {
                expect(manga.attributes.canonicalTitle).equal("Guardian Dog");
            }).then(done, done);
    });
    it("Gets 'One Punch-Man' manga from kitsu.", (done) => {
        kitsu.getManga("One Punch Man")
            .then(manga => {
                expect(manga[0].attributes.canonicalTitle).equal("One Punch-Man");
            }).then(done, done);
    });
    it("Gets 'Nanatsu no Taizai' manga from kitsu, using it's slug.", (done) => {
        kitsu.getManga("nanatsu-no-taizai", filter = "slug")
            .then(manga => {
                expect(manga[0].attributes.canonicalTitle).equal("Nanatsu no Taizai");
            }).then(done, done);
    });
    it("Gets first 'adventure' genre manga from kitsu.", (done) => {
        kitsu.getManga("adventure", filter = "genres")
            .then(manga => {
                expect(manga[0].attributes.canonicalTitle).equal("Dragon Hunter");
            }).then(done, done);
    });
});